Bug 55621 - System.ObjectDisposedException: Cannot access a disposed object.
Summary: System.ObjectDisposedException: Cannot access a disposed object.
Status: RESOLVED NOT_REPRODUCIBLE
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.4
Hardware: Other Other
: Normal normal
Target Milestone: ---
Assignee: Jimmy [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-04-26 14:18 UTC by m3taz.ite
Modified: 2018-05-16 15:14 UTC (History)
12 users (show)

Tags: android, listview
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NOT_REPRODUCIBLE

Description m3taz.ite 2017-04-26 14:18:46 UTC
I am working on  Xamarin.Forms.2.3.4.224 stable release

System.ObjectDisposedException: Cannot access a disposed object.
Object name: 'Android.Graphics.Bitmap'.


04-25 10:07:50.933 D/skia    ( 1671): --- SkImageDecoder::Factory returned null
InspectorDebugSession(11): HandleTargetEvent: UnhandledException
An unhandled exception occured.
04-25 10:07:53.929 D/Mono    ( 1671): DllImport attempting to load: '/system/lib/liblog.so'.
04-25 10:07:53.929 D/Mono    ( 1671): DllImport loaded library '/system/lib/liblog.so'.
04-25 10:07:53.929 D/Mono    ( 1671): DllImport searching in: '/system/lib/liblog.so' ('/system/lib/liblog.so').
04-25 10:07:53.929 D/Mono    ( 1671): Searching for '__android_log_print'.
04-25 10:07:53.929 D/Mono    ( 1671): Probing '__android_log_print'.
04-25 10:07:53.929 D/Mono    ( 1671): Found as '__android_log_print'.
04-25 10:07:53.929 I/MonoDroid( 1671): UNHANDLED EXCEPTION:
04-25 10:07:53.949 I/MonoDroid( 1671): System.ObjectDisposedException: Cannot access a disposed object.
04-25 10:07:53.949 I/MonoDroid( 1671): Object name: 'Android.Graphics.Bitmap'.
04-25 10:07:53.949 I/MonoDroid( 1671):   at Java.Interop.JniPeerMembers.AssertSelf (Java.Interop.IJavaPeerable self) [0x00030] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.cs:153 
04-25 10:07:53.949 I/MonoDroid( 1671):   at Java.Interop.JniPeerMembers+JniInstanceMethods.InvokeNonvirtualInt32Method (System.String encodedMember, Java.Interop.IJavaPeerable self, Java.Interop.JniArgumentValue* parameters) [0x00002] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniInstanceMethods_Invoke.cs:217 
04-25 10:07:53.949 I/MonoDroid( 1671):   at Android.Graphics.Bitmap.get_Height () [0x00000] in /Users/builder/data/lanes/4009/3a62f1ea/source/monodroid/src/Mono.Android/platforms/android-25/src/generated/Android.Graphics.Bitmap.cs:375 
04-25 10:07:53.949 I/MonoDroid( 1671):   at Xamarin.Forms.Platform.Android.ButtonDrawable.Draw (Android.Graphics.Canvas canvas) [0x00021] in C:\BuildAgent\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers\ButtonDrawable.cs:39 
04-25 10:07:53.949 I/MonoDroid( 1671):   at Android.Graphics.Drawables.Drawable.n_Draw_Landroid_graphics_Canvas_ (System.IntPtr jnienv, System.IntPtr native__this, System.IntPtr native_canvas) [0x00011] in /Users/builder/data/lanes/4009/3a62f1ea/source/monodroid/src/Mono.Android/platforms/android-25/src/generated/Android.Graphics.Drawables.Drawable.cs:1301 
04-25 10:07:53.949 I/MonoDroid( 1671):   at (wrapper dynamic-method) System.Object:12cef570-39b5-4e82-ba4e-2a3a9f0999fc (intptr,intptr,intptr)
04-25 10:07:53.953 D/Mono    ( 1671): DllImport searching in: '__Internal' ('(null)').
04-25 10:07:53.961 D/Mono    ( 1671): Searching for 'java_interop_jnienv_throw'.
04-25 10:07:53.961 D/Mono    ( 1671): Probing 'java_interop_jnienv_throw'.
04-25 10:07:53.961 D/Mono    ( 1671): Found as 'java_interop_jnienv_throw'.
InspectorDebugSession(11): HandleTargetEvent: UnhandledException
An unhandled exception occured.
04-25 10:07:55.121 E/mono    ( 1671): 
04-25 10:07:55.121 E/mono    ( 1671): Unhandled Exception:
04-25 10:07:55.121 E/mono    ( 1671): System.ObjectDisposedException: Cannot access a disposed object.
04-25 10:07:55.121 E/mono    ( 1671): Object name: 'Android.Graphics.Bitmap'.
04-25 10:07:55.121 E/mono-rt ( 1671): [ERROR] FATAL UNHANDLED EXCEPTION: System.ObjectDisposedException: Cannot access a disposed object.
04-25 10:07:55.121 E/mono-rt ( 1671): Object name: 'Android.Graphics.Bitmap'.
In mgmain JNI_OnLoad
InspectorDebugSession(11): HandleTargetEvent: TargetExited
InspectorDebugSession(11): Disposed
Comment 1 Jimmy [MSFT] 2017-04-26 15:28:38 UTC
Thank you for filing this report!

It's difficult to gather what may be happening from that stack trace. Could you attach a sample project that reproduces the issue? It would really help us look into this issue. 

After providing the requested information, please set the report's status back to NEW. Otherwise we may close this issue after 30 days of no response. Thanks!
Comment 2 Pete Schmitz 2017-05-11 16:38:51 UTC
Forms: 2.3.4.224
Xamarin.Android: 7.2.0
Xamarin Studio: Release ID: 603000863

----

A few of our users are encountering this exception daily in our production build (ObjectDisposed, 'Android.Graphics.Bitmap', ButtonDrawable).

Similar to the (much more egregious) ObjectDisposed issue for GestureDector in 2.3.2 (https://bugzilla.xamarin.com/show_bug.cgi?id=45330), this problem isn't easily reproducible.

At least one other person is encountering this in their builds - https://forums.xamarin.com/discussion/94990/system-objectdisposedexception-cant-access-disposed-object-object-name-android-graphics-bitmap

Our stacktrace:

System.ObjectDisposedExceptionCannot access a disposed object. Object name: 'Android.Graphics.Bitmap'.
Raw
Java.Interop.JniPeerMembers.AssertSelf(IJavaPeerable self)<a0eeeedbad014cc49282633ebf1b77e0>:0
Java.Interop.JniPeerMembers.JniInstanceMethods.InvokeAbstractVoidMethod(string encodedMember, IJavaPeerable self, JniArgumentValue* parameters)<a0eeeedbad014cc49282633ebf1b77e0>:0
Android.Graphics.Bitmap.Recycle()<10e0d0f2e52144dfb885f2726f78e005>:0
Xamarin.Forms.Platform.Android.ButtonDrawable.Reset()<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.ButtonRenderer.OnElementChanged(ElementChangedEventArgs<TElement> e)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.VisualElementRenderer<TElement>.SetElement(TElement element)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.VisualElementRenderer<TElement>.SetElement(VisualElement element)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.VisualElementPackager.AddChild(VisualElement view, IVisualElementRenderer oldRenderer, RendererPool pool, bool sameChildren)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.VisualElementPackager.SetElement(VisualElement oldElement, VisualElement newElement)<fb1b373bb41f422cab210b1850374a59>:0
at Xamarin.Forms.Platform.Android.VisualElementPackager.<.ctor>b__6_0 (System.Object sender, Xamarin.Forms.Platform.Android.VisualElementChangedEventArgs args) [0x0000d] in <fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.VisualElementRenderer<TElement>.OnElementChanged(ElementChangedEventArgs<TElement> e)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.VisualElementRenderer<TElement>.SetElement(TElement element)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.VisualElementRenderer<TElement>.SetElement(VisualElement element)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.ViewCellRenderer.ViewCellContainer.Update(ViewCell cell)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.ViewCellRenderer.GetCellCore(Cell item, View convertView, ViewGroup parent, Context context)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.CellRenderer.GetCell(Cell item, View convertView, ViewGroup parent, Context context)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.CellFactory.GetCell(Cell item, View convertView, ViewGroup parent, Context context, View view)<fb1b373bb41f422cab210b1850374a59>:0
Xamarin.Forms.Platform.Android.ListViewAdapter.GetView(int position, View convertView, ViewGroup parent)<fb1b373bb41f422cab210b1850374a59>:0
Android.Widget.BaseAdapter.n_GetView_ILandroid_view_View_Landroid_view_ViewGroup_(IntPtr jnienv, IntPtr native__this, int position, IntPtr native_convertView, IntPtr native_parent)<10e0d0f2e52144dfb885f2726f78e005>:0
at (wrapper dynamic-method) System.Object:88243e8c-f84f-4bf0-b181-4dbd5cd550f6 (intptr,intptr,int,intptr,intptr)
Comment 3 m3taz.ite 2017-05-31 10:48:34 UTC
InspectorDebugSession(0): HandleTargetEvent: UnhandledException
05-31 12:43:58.075 D/Mono    ( 2458): DllImport attempting to load: '/system/lib/liblog.so'.
05-31 12:43:58.075 D/Mono    ( 2458): DllImport loaded library '/system/lib/liblog.so'.
05-31 12:43:58.075 D/Mono    ( 2458): DllImport searching in: '/system/lib/liblog.so' ('/system/lib/liblog.so').
05-31 12:43:58.075 D/Mono    ( 2458): Searching for '__android_log_print'.
05-31 12:43:58.075 D/Mono    ( 2458): Probing '__android_log_print'.
05-31 12:43:58.075 D/Mono    ( 2458): Found as '__android_log_print'.
05-31 12:43:58.075 I/MonoDroid( 2458): UNHANDLED EXCEPTION:
05-31 12:43:58.095 I/MonoDroid( 2458): System.ObjectDisposedException: Cannot access a disposed object.
05-31 12:43:58.095 I/MonoDroid( 2458): Object name: 'Android.Graphics.Bitmap'.
05-31 12:43:58.095 I/MonoDroid( 2458):   at Java.Interop.JniPeerMembers.AssertSelf (Java.Interop.IJavaPeerable self) [0x00030] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.cs:153 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Java.Interop.JniPeerMembers+JniInstanceMethods.InvokeAbstractVoidMethod (System.String encodedMember, Java.Interop.IJavaPeerable self, Java.Interop.JniArgumentValue* parameters) [0x00002] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniInstanceMethods_Invoke.cs:11 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Android.Graphics.Bitmap.Recycle () [0x00000] in /Users/builder/data/lanes/4009/3a62f1ea/source/monodroid/src/Mono.Android/platforms/android-25/src/generated/Android.Graphics.Bitmap.cs:975 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.ButtonDrawable.Reset () [0x00008] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers\ButtonDrawable.cs:55 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.ButtonRenderer.OnElementChanged (Xamarin.Forms.Platform.Android.ElementChangedEventArgs`1[TElement] e) [0x00067] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers\ButtonRenderer.cs:110 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x000f4] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:196 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.Android.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00027] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementPackager.AddChild (Xamarin.Forms.VisualElement view, Xamarin.Forms.Platform.Android.IVisualElementRenderer oldRenderer, Xamarin.Forms.Platform.Android.RendererPool pool, System.Boolean sameChildren) [0x0003a] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementPackager.cs:91 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementPackager.SetElement (Xamarin.Forms.VisualElement oldElement, Xamarin.Forms.VisualElement newElement) [0x00104] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementPackager.cs:217 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementPackager.<.ctor>b__6_0 (System.Object sender, Xamarin.Forms.Platform.Android.VisualElementChangedEventArgs args) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementPackager.cs:29 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1[TElement].OnElementChanged (Xamarin.Forms.Platform.Android.ElementChangedEventArgs`1[TElement] e) [0x00031] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:292 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1[TElement].SetElement (TElement element) [0x000f4] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:196 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.VisualElementRenderer`1[TElement].Xamarin.Forms.Platform.Android.IVisualElementRenderer.SetElement (Xamarin.Forms.VisualElement element) [0x00027] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\VisualElementRenderer.cs:137 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.ViewCellRenderer+ViewCellContainer.Update (Xamarin.Forms.ViewCell cell) [0x00093] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Cells\ViewCellRenderer.cs:102 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.ViewCellRenderer.GetCellCore (Xamarin.Forms.Cell item, Android.Views.View convertView, Android.Views.ViewGroup parent, Android.Content.Context context) [0x00011] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Cells\ViewCellRenderer.cs:18 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.CellRenderer.GetCell (Xamarin.Forms.Cell item, Android.Views.View convertView, Android.Views.ViewGroup parent, Android.Content.Context context) [0x00063] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Cells\CellRenderer.cs:51 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.CellFactory.GetCell (Xamarin.Forms.Cell item, Android.Views.View convertView, Android.Views.ViewGroup parent, Android.Content.Context context, Xamarin.Forms.View view) [0x00023] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Cells\CellFactory.cs:20 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.ListViewAdapter.GetView (System.Int32 position, Android.Views.View convertView, Android.Views.ViewGroup parent) [0x001d7] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers\ListViewAdapter.cs:258 
05-31 12:43:58.095 I/MonoDroid( 2458):   at Android.Widget.BaseAdapter.n_GetView_ILandroid_view_View_Landroid_view_ViewGroup_ (System.IntPtr jnienv, System.IntPtr native__this, System.Int32 position, System.IntPtr native_convertView, System.IntPtr native_parent) [0x0001a] in /Users/builder/data/lanes/4009/3a62f1ea/source/monodroid/src/Mono.Android/platforms/android-25/src/generated/Android.Widget.BaseAdapter.cs:443 
05-31 12:43:58.095 I/MonoDroid( 2458):   at (wrapper dynamic-method) System.Object:738e74be-ef1c-488d-8a5d-fc620a4ec4e5 (intptr,intptr,int,intptr,intptr)
05-31 12:43:58.111 D/Mono    ( 2458): DllImport searching in: '__Internal' ('(null)').
05-31 12:43:58.111 D/Mono    ( 2458): Searching for 'java_interop_jnienv_throw'.
05-31 12:43:58.111 D/Mono    ( 2458): Probing 'java_interop_jnienv_throw'.
05-31 12:43:58.111 D/Mono    ( 2458): Found as 'java_interop_jnienv_throw'.
InspectorDebugSession(0): HandleTargetEvent: UnhandledException
An unhandled exception occured.

Thread finished: <Thread Pool> #17
InspectorDebugSession(0): HandleTargetEvent: ThreadStopped
05-31 12:44:04.639 I/MonoDroid( 2458): UNHANDLED EXCEPTION:
Thread started: <Thread Pool> #18
InspectorDebugSession(0): HandleTargetEvent: ThreadStarted
05-31 12:44:04.667 I/MonoDroid( 2458): System.ObjectDisposedException: Cannot access a disposed object.
05-31 12:44:04.667 I/MonoDroid( 2458): Object name: 'Android.Graphics.Bitmap'.
05-31 12:44:04.667 I/MonoDroid( 2458):   at (wrapper managed-to-native) Java.Interop.NativeMethods:java_interop_jnienv_call_nonvirtual_void_method_a (intptr,intptr&,intptr,intptr,intptr,Java.Interop.JniArgumentValue*)
05-31 12:44:04.667 I/MonoDroid( 2458):   at Java.Interop.JniEnvironment+InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference instance, Java.Interop.JniObjectReference type, Java.Interop.JniMethodInfo method, Java.Interop.JniArgumentValue* args) [0x0008f] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12079 
05-31 12:44:04.667 I/MonoDroid( 2458):   at Java.Interop.JniPeerMembers+JniInstanceMethods.InvokeNonvirtualVoidMethod (System.String encodedMember, Java.Interop.IJavaPeerable self, Java.Interop.JniArgumentValue* parameters) [0x00022] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniInstanceMethods_Invoke.cs:41 
05-31 12:44:04.667 I/MonoDroid( 2458):   at Android.Views.ViewGroup.Layout (System.Int32 l, System.Int32 t, System.Int32 r, System.Int32 b) [0x00055] in /Users/builder/data/lanes/4009/3a62f1ea/source/monodroid/src/Mono.Android/platforms/android-25/src/generated/Android.Views.ViewGroup.cs:3188 
05-31 12:44:04.671 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.ViewRenderer`2[TView,TNativeView].OnLayout (System.Boolean changed, System.Int32 l, System.Int32 t, System.Int32 r, System.Int32 b) [0x00059] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\ViewRenderer.cs:138 
05-31 12:44:04.671 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.ListViewRenderer.OnLayout (System.Boolean changed, System.Int32 l, System.Int32 t, System.Int32 r, System.Int32 b) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers\ListViewRenderer.cs:173 
05-31 12:44:04.671 I/MonoDroid( 2458):   at Xamarin.Forms.Platform.Android.FormsViewGroup.n_OnLayout_ZIIII (System.IntPtr jnienv, System.IntPtr native__this, System.Boolean p0, System.Int32 p1, System.Int32 p2, System.Int32 p3, System.Int32 p4) [0x00008] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android.FormsViewGroup\obj\Release\generated\src\Xamarin.Forms.Platform.Android.FormsViewGroup.cs:198 
05-31 12:44:04.671 I/MonoDroid( 2458):   at (wrapper dynamic-method) System.Object:ee6a90f4-4131-4e69-a935-3b19f0021a35 (intptr,intptr,bool,int,int,int,int)
05-31 12:44:04.675 W/dalvikvm( 2458): JNI WARNING: JNI function NewString called with exception pending
05-31 12:44:04.675 W/dalvikvm( 2458):              in Lmd5b60ffeb829f638581ab2bb9b1a7f4f3f/ListViewAdapter;.n_getView:(ILandroid/view/View;Landroid/view/ViewGroup;)Landroid/view/View; (NewString)
05-31 12:44:04.675 W/dalvikvm( 2458): Pending exception is:
05-31 12:44:04.675 I/dalvikvm( 2458): android.runtime.JavaProxyThrowable: System.ObjectDisposedException: Cannot access a disposed object.
05-31 12:44:04.675 I/dalvikvm( 2458): Object name: 'Android.Graphics.Bitmap'.
05-31 12:44:04.675 I/dalvikvm( 2458):   at Java.Interop.JniPeerMembers.AssertSelf (Java.Interop.IJavaPeerable self) [0x00030] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.cs:153 
05-31 12:44:04.675 I/dalvikvm( 2458):   at Java.Interop.JniPeerMembers+JniInstanceMethods.InvokeAbstractVoidMethod (System.String encodedMember, Java.Interop.IJavaPeerable self, Java.Interop.JniArgumentValue* parameters) [0x00002] in /Users/builder/data/lanes/4009/3a62f1ea/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniInstanceMethods_Invoke.cs:11 
05-31 12:44:04.675 I/dalvikvm( 2458):   at Android.Graphics.Bitmap.Recycle () [0x00000] in /Users/builder/data/lanes/4009/3a62f1ea/source/monodroid/src/Mono.Android/platforms/android-25/src/generated/Android.Graphics.Bitmap.cs:975 
05-31 12:44:04.675 I/dalvikvm( 2458):   at Xamarin.Forms.Platform.Android.ButtonDrawable.Reset () [0x00008] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers
05-31 12:44:04.675 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewAdapter.n_getView(Native Method)
05-31 12:44:04.675 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewAdapter.getView(ListViewAdapter.java:100)
The thread 'Unknown' (0x11) has exited with code 0 (0x0).
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.HeaderViewListAdapter.getView(HeaderViewListAdapter.java:220)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.AbsListView.obtainView(AbsListView.java:2255)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.ListView.makeAndAddView(ListView.java:1790)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.ListView.fillDown(ListView.java:691)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.ListView.fillSpecific(ListView.java:1349)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.ListView.layoutChildren(ListView.java:1608)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.AbsListView.onLayout(AbsListView.java:2087)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.support.v4.widget.SwipeRefreshLayout.onLayout(SwipeRefreshLayout.java:596)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewRenderer.onLayout(ListViewRenderer.java:65)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:58)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:58)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:58)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.NavigationRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.NavigationRenderer.onLayout(NavigationRenderer.java:63)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
In mgmain JNI_OnLoad
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailContainer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailContainer.onLayout(MasterDetailContainer.java:62)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.support.v4.widget.DrawerLayout.onLayout(DrawerLayout.java:1187)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailRenderer.onLayout(MasterDetailRenderer.java:68)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.onLayout(PlatformRenderer.java:63)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1671)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.LinearLayout.layoutHorizontal(LinearLayout.java:1660)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.LinearLayout.onLayout(LinearLayout.java:1436)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:453)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:388)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.android.internal.widget.ActionBarOverlayLayout.onLayout(ActionBarOverlayLayout.java:374)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.FrameLayout.layoutChildren(FrameLayout.java:453)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.widget.FrameLayout.onLayout(FrameLayout.java:388)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewRootImpl.performLayout(ViewRootImpl.java:1983)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:1740)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:996)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:5600)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.Choreographer$CallbackRecord.run(Choreographer.java:761)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.Choreographer.doCallbacks(Choreographer.java:574)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.Choreographer.doFrame(Choreographer.java:544)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:747)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.os.Handler.handleCallback(Handler.java:733)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.os.Handler.dispatchMessage(Handler.java:95)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.os.Looper.loop(Looper.java:136)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at android.app.ActivityThread.main(ActivityThread.java:5001)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at java.lang.reflect.Method.invokeNative(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at java.lang.reflect.Method.invoke(Method.java:515)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:785)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:601)
05-31 12:44:04.707 I/dalvikvm( 2458): 	at dalvik.system.NativeStart.main(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): "main" prio=5 tid=1 NATIVE
05-31 12:44:04.707 I/dalvikvm( 2458):   | group="main" sCount=0 dsCount=0 obj=0xa8d2abd8 self=0xb7e334c0
05-31 12:44:04.707 I/dalvikvm( 2458):   | sysTid=2458 nice=0 sched=0/0 cgrp=apps handle=-1216548768
05-31 12:44:04.707 I/dalvikvm( 2458):   | state=R schedstat=( 19924841825 3032617136 42556 ) utm=1756 stm=235 core=1
05-31 12:44:04.707 I/dalvikvm( 2458):   #00  pc 000bd456  /system/lib/libdvm.so (dvmDumpNativeStack(DebugOutputTarget const*, int)+86)
05-31 12:44:04.707 I/dalvikvm( 2458):   #01  pc 00098033  /system/lib/libdvm.so (dvmDumpThreadEx(DebugOutputTarget const*, Thread*, bool)+1155)
05-31 12:44:04.707 I/dalvikvm( 2458):   #02  pc 00098326  /system/lib/libdvm.so (dvmDumpThread(Thread*, bool)+86)
05-31 12:44:04.707 I/dalvikvm( 2458):   #03  pc 0004ce27  /system/lib/libdvm.so (ScopedCheck::checkThread(int)+455)
05-31 12:44:04.707 I/dalvikvm( 2458):   #04  pc 00052915  /system/lib/libdvm.so
05-31 12:44:04.707 I/dalvikvm( 2458):   #05  pc 0000a48f  /data/app-lib/com.alameensoft.xPOS-2/libmonodroid.so (java_interop_jnienv_new_string+47)
05-31 12:44:04.707 I/dalvikvm( 2458):   #06  pc 0001faef  <unknown>
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewAdapter.n_getView(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewAdapter.getView(ListViewAdapter.java:100)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.HeaderViewListAdapter.getView(HeaderViewListAdapter.java:220)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.AbsListView.obtainView(AbsListView.java:2255)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.ListView.makeAndAddView(ListView.java:1790)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.ListView.fillDown(ListView.java:691)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.ListView.fillSpecific(ListView.java:1349)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.ListView.layoutChildren(ListView.java:1608)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.AbsListView.onLayout(AbsListView.java:2087)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.support.v4.widget.SwipeRefreshLayout.onLayout(SwipeRefreshLayout.java:596)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.ListViewRenderer.onLayout(ListViewRenderer.java:65)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:58)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:58)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.VisualElementRenderer_1.onLayout(VisualElementRenderer_1.java:58)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.NavigationRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.NavigationRenderer.onLayout(NavigationRenderer.java:63)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.xamarin.forms.platform.android.FormsViewGroup.measureAndLayout(FormsViewGroup.java:29)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailContainer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailContainer.onLayout(MasterDetailContainer.java:62)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.support.v4.widget.DrawerLayout.onLayout(DrawerLayout.java:1187)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.MasterDetailRenderer.onLayout(MasterDetailRenderer.java:68)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.n_onLayout(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at md5b60ffeb829f638581ab2bb9b1a7f4f3f.PlatformRenderer.onLayout(PlatformRenderer.java:63)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.LinearLayout.setChildFrame(LinearLayout.java:1671)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.LinearLayout.layoutHorizontal(LinearLayout.java:1660)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.LinearLayout.onLayout(LinearLayout.java:1436)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.FrameLayout.layoutChildren(FrameLayout.java:453)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.FrameLayout.onLayout(FrameLayout.java:388)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.android.internal.widget.ActionBarOverlayLayout.onLayout(ActionBarOverlayLayout.java:374)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.FrameLayout.layoutChildren(FrameLayout.java:453)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.widget.FrameLayout.onLayout(FrameLayout.java:388)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.View.layout(View.java:14817)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewGroup.layout(ViewGroup.java:4631)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewRootImpl.performLayout(ViewRootImpl.java:1983)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:1740)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:996)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:5600)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.Choreographer$CallbackRecord.run(Choreographer.java:761)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.Choreographer.doCallbacks(Choreographer.java:574)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.Choreographer.doFrame(Choreographer.java:544)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:747)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.os.Handler.handleCallback(Handler.java:733)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.os.Handler.dispatchMessage(Handler.java:95)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.os.Looper.loop(Looper.java:136)
05-31 12:44:04.707 I/dalvikvm( 2458):   at android.app.ActivityThread.main(ActivityThread.java:5001)
05-31 12:44:04.707 I/dalvikvm( 2458):   at java.lang.reflect.Method.invokeNative(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458):   at java.lang.reflect.Method.invoke(Method.java:515)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:785)
05-31 12:44:04.707 I/dalvikvm( 2458):   at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:601)
05-31 12:44:04.707 I/dalvikvm( 2458):   at dalvik.system.NativeStart.main(Native Method)
05-31 12:44:04.707 I/dalvikvm( 2458): 
05-31 12:44:04.707 E/dalvikvm( 2458): VM aborting
05-31 12:44:04.707 F/libc    ( 2458): Fatal signal 6 (SIGABRT) at 0x0000099a (code=-6), thread 2458 (lameensoft.xPOS)
InspectorDebugSession(0): HandleTargetEvent: TargetExited
InspectorDebugSession(0): Disposed
Comment 4 Jimmy [MSFT] 2017-06-01 00:08:09 UTC
Hey all, what devices/emulator have you experienced the crash on? 

I haven't been able to reproduce the crash, but I believe this happens when using a ListView with RetainElement _and_ FormsApplictionActivity on Android. Can you try using RecycleElement or FormsAppCompatActivity instead and let me know if that helps?
Comment 5 Pete Schmitz 2017-06-01 00:32:24 UTC
Hi Jimmy,

We're currently using FormsApplictionActivity and RetainElement (since it's the default recycle strategy).

I'll switch us over to FormsAppCompatActivity in our next beta and report back.

In the meantime, here are the affected devices for us:

sm-g550t (Android M)
sm-j327p (Android M)
samsung-sm-g891a (Android M)
samsung-sgh-i537 (Android 4.4)
lgms210 (Android N)
lg-h872 (Android N)
lg-k428 (Android M)
alcatel_5054o (Android 5.1)
z988 (Android M)
rs988 (Android N)
Comment 6 Sebastian Kruse 2017-06-01 07:34:02 UTC
I'm using FormsAppCompatActivity and RecycleElement already and still have this issue.
Comment 7 David Ortinau [MSFT] 2017-06-17 21:56:42 UTC
Pete, Sebastian, m3taz.ite@gmail.com, 

We really want to get to the bottom of what's going on here, but we need a project from you that demonstrates this issue. Since we've been unable to reproduce it based solely on the description and stack traces, we're in the dark. 

Ideally the project will be just an isolation of the issue. Please attach a project or share a GitHub repo, and we'll give this a look. Until then we're blocked.

Dave
Comment 8 Sebastian Kruse 2017-06-17 22:50:30 UTC
At least for me, it is a bug in the SkiaSharp library as I found out later. See this bug report over here (it also has a sample project and a description of the issue): https://github.com/mono/SkiaSharp/issues/292
Comment 9 Rui Marinho 2017-06-20 14:31:49 UTC
Seems this is a issue with SkiaSharp, you can follow up the issue here https://github.com/mono/SkiaSharp/issues/292
Comment 10 Adam 2017-06-28 11:18:53 UTC
How is this bug now marked RESOLVED? I'm still facing it and the referenced SkiaSharp Git-Issue is not even assigned to anyone, nor fixed there. Moreover it does not seems be be clearly a skia-issue, or am I wrong?

Regrads, Adam
Comment 11 Pete Schmitz 2017-06-29 16:36:24 UTC
Only one person's stacktrace here derives from skiasharp...

Some variation of this still exists in the latest pre-release (2.3.255-pre5). We're now using FormsAppCompatActivity. We are not using skiasharp:

System.ObjectDisposedExceptionCannot access a disposed object. Object name: 'Android.Graphics.Bitmap'.
Raw
Java.Interop.JniPeerMembers.AssertSelf(IJavaPeerable self)<cdfd0fba77374700a4431104a7845928>:0
Java.Interop.JniPeerMembers.JniInstanceMethods.InvokeNonvirtualInt32Method(string encodedMember, IJavaPeerable self, JniArgumentValue* parameters)<cdfd0fba77374700a4431104a7845928>:0
Android.Graphics.Bitmap.get_Height()<73c13c2e735c4904851ddcb15ecdb472>:0
Xamarin.Forms.Platform.Android.ButtonDrawable.Draw(Canvas canvas)<5830324141594541b34d6a8a43fe677e>:0
Android.Graphics.Drawables.Drawable.n_Draw_Landroid_graphics_Canvas_(IntPtr jnienv, IntPtr native__this, IntPtr native_canvas)<73c13c2e735c4904851ddcb15ecdb472>:0
at (wrapper dynamic-method) System.Object:b2db7ee7-e901-49b4-a26f-7f10bc429ad9 (intptr,intptr,intptr)
Comment 12 Pete Schmitz 2017-08-16 17:17:28 UTC
This issue isn't resolved. It's also acknowledged in the pre5 patch notes -
 https://github.com/xamarin/Xamarin.Forms/releases/tag/beta-2.3.5-pre5

With this pull request - https://github.com/xamarin/Xamarin.Forms/pull/1013

Our users are still encountering the above mentioned stack against our builds on pre6.

System.ObjectDisposedException Cannot access a disposed object. Object name: 'Android.Graphics.Bitmap'.
Raw
Java.Interop.JniPeerMembers.AssertSelf(IJavaPeerable self)<e6436bb616fa4486932e2e5e7a909448>:0
Java.Interop.JniPeerMembers.JniInstanceMethods.InvokeNonvirtualInt32Method(string encodedMember, IJavaPeerable self, JniArgumentValue* parameters)<e6436bb616fa4486932e2e5e7a909448>:0
Android.Graphics.Bitmap.get_Height()<d0501a7392f147099928b32ea0ccc081>:0
Xamarin.Forms.Platform.Android.ButtonDrawable.Draw(Canvas canvas)<3364a2d206a142d8a54cb7a9b77626da>:0
Android.Graphics.Drawables.Drawable.n_Draw_Landroid_graphics_Canvas_(IntPtr jnienv, IntPtr native__this, IntPtr native_canvas)<d0501a7392f147099928b32ea0ccc081>:0
at (wrapper dynamic-method) System.Object:122e55b8-dd53-4227-9058-8dd650d2c387 (intptr,intptr,intptr)
Comment 13 David Ortinau [MSFT] 2017-08-16 21:19:25 UTC
I've asked @Jimmy to give this another look. 

I still don't see a project here that demonstrates this issue with which to confirm it. There's a skiasharp project on the referenced issue.

How do we go about reproducing this?
Comment 14 Pete Schmitz 2017-08-17 17:39:43 UTC
Evaluating our users' events, the behavior appears to be:

- Have a button on a page

- Some async work is being done (rest call)

- Navigate away from the page

- Async work finishes, attempts to set a property on the no longer visible button/page.

- Exception is thrown.

I'll attempt to get a repro project up this weekend.
Comment 15 post4me3 2017-08-27 12:46:56 UTC
Is there any update on this ? We also have this issue and its only in android projects. We are using Prism 6.30 and originally thought it was because of the new IDestructible interface and properties being called when a VM was being disposed but found this not to be the case.

This happens when we close a view in Android either hardware back button or programmatically although the exception is not 100% consistent or reproducible.

Maybe something can be gleaned from this stack trace :

Xamarin.Adroid.Support.xxxx v25.3.1
Xamarin.Forms 2.3.4.267 (Also tried 2.3.4.0.266 pre1)

Stack Trace

UNHANDLED EXCEPTION:
08-27 11:19:16.010 I/MonoDroid(10028): System.ObjectDisposedException: Cannot access a disposed object.
08-27 11:19:16.010 I/MonoDroid(10028): Object name: 'Xamarin.Forms.Platform.Android.FormsTextView'.
08-27 11:19:16.010 I/MonoDroid(10028):   at Java.Interop.JniPeerMembers.AssertSelf (Java.Interop.IJavaPeerable self) [0x00029] in <6cd960837cc24c26bab2a0a29b597627>:0 
08-27 11:19:16.010 I/MonoDroid(10028):   at Java.Interop.JniPeerMembers+JniInstanceMethods.InvokeNonvirtualVoidMethod (System.String encodedMember, Java.Interop.IJavaPeerable self, Java.Interop.JniArgumentValue* parameters) [0x00000] in <6cd960837cc24c26bab2a0a29b597627>:0 
08-27 11:19:16.010 I/MonoDroid(10028):   at Android.Widget.TextView.set_TextFormatted (Java.Lang.ICharSequence value) [0x0001f] in /Users/builder/data/lanes/4986/28510831/source/xamarin-android/src/Mono.Android/obj/Release/android-24/mcw/Android.Widget.TextView.cs:2844 
08-27 11:19:16.010 I/MonoDroid(10028):   at Android.Widget.TextView.set_Text (System.String value) [0x0000d] in /Users/builder/data/lanes/4986/28510831/source/xamarin-android/src/Mono.Android/obj/Release/android-24/mcw/Android.Widget.TextView.cs:2855 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.Platform.Android.LabelRenderer.UpdateText () [0x00087] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers\LabelRenderer.cs:211 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.Platform.Android.LabelRenderer.OnElementPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x00054] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Platform.Android\Renderers\LabelRenderer.cs:109 
08-27 11:19:16.010 I/MonoDroid(10028):   at (wrapper delegate-invoke) <Module>:invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs)
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:136 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\Element.cs:380 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.BindableObject+SetValueFlags attributes, System.Boolean silent) [0x000f4] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:589 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.BindableObject+SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0015b] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindableObject.cs:386 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x001f9] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:173 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.BindingExpression.Apply (System.Boolean fromTarget) [0x0003e] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:55 
08-27 11:19:16.010 I/MonoDroid(10028):   at Xamarin.Forms.BindingExpression+BindingExpressionPart.<PropertyChanged>b__47_0 () [0x00000] in C:\BuildAgent3\work\ca3766cfc22354a1\Xamarin.Forms.Core\BindingExpression.cs:539 
08-27 11:19:16.010 I/MonoDroid(10028):   at Java.Lang.Thread+RunnableImplementor.Run () [0x00008] in /Users/builder/data/lanes/4986/28510831/source/xamarin-android/src/Mono.Android/Java.Lang/Thread.cs:36 
08-27 11:19:16.010 I/MonoDroid(10028):   at Java.Lang.IRunnableInvoker.n_Run (System.IntPtr jnienv, System.IntPtr native__this) [0x00008] in /Users/builder/data/lanes/4986/28510831/source/xamarin-android/src/Mono.Android/obj/Release/android-24/mcw/Java.Lang.IRunnable.cs:81 
08-27 11:19:16.010 I/MonoDroid(10028):   at (wrapper dynamic-method) System.Object:0fed8453-d868-471b-9c96-96dc03bbcfee (intptr,intptr)
08-27 11:19:16.030 D/Mono    (10028): Assembly Ref addref HockeySDK.AndroidBindings[0xd59be460] -> System[0xbf079240]: 18
08-27 11:19:16.065 W/art     (10028): JNI RegisterNativeMethods: attempt to register 0 native methods for android.runtime.JavaProxyThrowable
Comment 16 Paul DiPietro [MSFT] 2017-10-17 02:34:33 UTC
Please reopen this with a reliable, minimized reproduction if the issue still occurs on the latest 2.4.0 stable release of Forms.
Comment 17 LanderV 2017-12-20 12:00:36 UTC
hitting this on 2.5 as well.

for me it happens when viewing a listview with custom ViewCells. I navigate away, then navigate back, and boom there it is
Comment 18 anton.duzenko@gmail.com 2018-03-12 10:14:46 UTC
https://github.com/xamarin/Xamarin.Forms/issues/2004
Comment 19 Balakrishnan 2018-05-16 15:14:28 UTC
I am also struck with the same crash, Please let me know if any solution

JniPeerMembers.AssertSelf
android.runtime.JavaProxyThrowable: System.ObjectDisposedException: Cannot access a disposed object.

Xamarin caused by: android.runtime.JavaProxyThrowable: System.ObjectDisposedException: Cannot access a disposed object.
Object name: 'Android.Graphics.Bitmap'.
Java.Interop.JniPeerMembers.AssertSelf(IJavaPeerable self)<7bd6e23e74244e9191c46983d3bb2eeb>:0
Java.Interop.JniPeerMembers.JniInstanceMethods.InvokeAbstractVoidMethod(string encodedMember, IJavaPeerable self, JniArgumentValue* parameters)<7bd6e23e74244e9191c46983d3bb2eeb>:0
Android.Graphics.Bitmap.Recycle()<82958282c7e341b985c12639e88fc1d1>:0
Xamarin.Forms.Platform.Android.ButtonDrawable.Reset()<173f39d71f0d4d928f5bbea42e96ffa8>:0
Xamarin.Forms.Platform.Android.ButtonDrawable.Dispose(bool disposing)<173f39d71f0d4d928f5bbea42e96ffa8>:0
Java.Lang.Object.Dispose()<82958282c7e341b985c12639e88fc1d1>:0
Xamarin.Forms.Platform.Android.ButtonBackgroundTracker.Dispose(bool disposing)<173f39d71f0d4d928f5bbea42e96ffa8>:0
Xamarin.Forms.Platform.Android.ButtonBackgroundTracker.Dispose()<173f39d71f0d4d928f5bbea42e96ffa8>:0
Xamarin.Forms.Platform.Android.ButtonRenderer.Dispose(bool disposing)<173f39d71f0d4d928f5bbea42e96ffa8>:0
Java.Lang.Object.Dispose()<82958282c7e341b985c12639e88fc1d1>:0
Xamarin.Forms.Platform.Android.VisualElementRenderer.Dispose(bool disposing)<173f39d71f0d4d928f5bbea42e96ffa8>:0
Xamarin.Forms.Platform.Android.PageRenderer.Dispose(bool disposing)<173f39d71f0d4d928f5bbea42e96ffa8>:0
Java.Lang.Object.Dispose()<82958282c7e341b985c12639e88fc1d1>:0
Xamarin.Forms.Platform.Android.AppCompat.FragmentContainer.OnDestroyView()<173f39d71f0d4d928f5bbea42e96ffa8>:0
Android.Support.V4.App.Fragment.n_OnDestroyView(IntPtr jnienv, IntPtr native__this)<40bb5a57295c4f648daa62e9e7aa774b>:0
at (wrapper dynamic-method) System.Object.84698d0a-0c20-40fc-87af-f3c645d9eec0(intptr,intptr)
md58432a647068b097f9637064b8985a5e0.FragmentContainer.n_onDestroyView(Native Method)
md58432a647068b097f9637064b8985a5e0.FragmentContainer.onDestroyView()FragmentContainer.java:59
android.support.v4.app.Fragment.performDestroyView()Fragment.java:2590
android.support.v4.app.FragmentManagerImpl.moveToState()FragmentManager.java:1503
android.support.v4.app.FragmentManagerImpl.moveFragmentToExpectedState()FragmentManager.java:1740
android.support.v4.app.BackStackRecord.executeOps()BackStackRecord.java:794
android.support.v4.app.FragmentManagerImpl.executeOps()FragmentManager.java:2580
android.support.v4.app.FragmentManagerImpl.executeOpsTogether()FragmentManager.java:2367
android.support.v4.app.FragmentManagerImpl.removeRedundantOperationsAndExecute()FragmentManager.java:2322
android.support.v4.app.FragmentManagerImpl.execPendingActions()FragmentManager.java:2229
android.support.v4.app.FragmentManagerImpl$1.run()FragmentManager.java:700
android.os.Handler.handleCallback()Handler.java:739
android.os.Handler.dispatchMessage()Handler.java:95
android.os.Looper.loop()Looper.java:168
android.app.ActivityThread.main()ActivityThread.java:5845
java.lang.reflect.Method.invoke(Native Method)
com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run()ZygoteInit.java:797
com.android.internal.os.ZygoteInit.main()ZygoteInit.java:687